Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>	

Name:		brutefir
#Epoch:		0
Version:	1.0k
Release:	1
License:	GNU/GPLv2
URL:		http://www.ludd.luth.se/~torger/brutefir.html
Group:		System/Libraries
Summary:	software convolution engine for digital audio FIR filters 
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:
Patch0:		brutefir-config.patch

# Requires:

# BuildRequires:
BuildRequires:	glibc-devel
BuildRequires:	fftw-devel
BuildRequires:  flex-devel
BuildRequires:  alsa-lib-devel
BuildRequires:  jack-audio-connection-kit-devel

%description
BruteFIR is a software convolution engine, a program for applying long FIR filters to multi-channel digital audio, either offline or in realtime. Its basic operation is specified through a configuration file, and filters, attenuation and delay can be changed in runtime through a simple command line interface. The FIR filter algorithm used is an optimised frequency domain algorithm, partly implemented in hand-coded assembler, thus throughput is extremely high. In realtime, a standard computer can typically run more than 10 channels with more than 60000 filter taps each.

Through its highly modular design, things like adaptive filtering, signal generators and sample I/O are easily added, extended and modified, without the need to alter the program itself. 

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

%build
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# Is this really needed?
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/brutefir
%{_libdir}/brutefir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Jan 03 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.0k-1
- initial CCux package release
